mod affluence;
mod minecraft;

use crate::{Context, Data, Error};

type EmbedField = (String, String, bool);

pub fn commands() -> Vec<poise::structs::Command<Data, Error>> {
    vec![affluence::available(), minecraft::mc(), help()]
}

/// Show this help menu
#[poise::command(prefix_command, track_edits, slash_command)]
pub async fn help(
    ctx: Context<'_>,
    #[description = "Specific command to show help about"]
    #[autocomplete = "poise::builtins::autocomplete_command"]
    command: Option<String>,
) -> Result<(), Error> {
    poise::builtins::help(
        ctx,
        command.as_deref(),
        poise::builtins::HelpConfiguration {
            extra_text_at_bottom: "Brought to you by Doofenshmirtz Evil Incorporated.",
            ..Default::default()
        },
    )
    .await?;
    Ok(())
}
